object jdevHexEditor: TjdevHexEditor
  Left = 350
  Top = 143
  Width = 582
  Height = 281
  Hint = 
    'This space displays the contents of memory at the location displ' +
    'ayed on the left'
  HelpContext = 1
  Caption = 'Hex Editor'
  Color = clBtnFace
  DragKind = dkDock
  DragMode = dmAutomatic
  Font.Charset = OEM_CHARSET
  Font.Color = clWindowText
  Font.Height = -12
  Font.Name = 'Terminal'
  Font.Style = []
  OldCreateOrder = False
  PopupMenu = popupMenu
  Position = poDefaultPosOnly
  OnCreate = FormCreate
  OnDestroy = FormDestroy
  OnKeyDown = FormKeyDown
  OnMouseUp = FormMouseUp
  OnMouseWheelDown = FormMouseWheelDown
  OnMouseWheelUp = FormMouseWheelUp
  OnPaint = FormPaint
  OnResize = FormResize
  OnShow = FormShow
  PixelsPerInch = 96
  TextHeight = 12
  object scrollbar: TScrollBar
    Left = 558
    Top = 25
    Width = 16
    Height = 229
    Align = alRight
    Kind = sbVertical
    LargeChange = 20
    Max = 268435455
    PageSize = 0
    SmallChange = 16
    TabOrder = 0
    OnChange = scrollbarChange
  end
  object editor: TEdit
    Left = 16
    Top = 72
    Width = 17
    Height = 17
    BorderStyle = bsNone
    TabOrder = 1
    Text = 'FF'
    Visible = False
    OnKeyPress = editorKeyPress
  end
  object toolbar: TToolBar
    Left = 0
    Top = 0
    Width = 574
    Height = 25
    ButtonHeight = 21
    ButtonWidth = 33
    EdgeBorders = []
    Font.Charset = ANSI_CHARSET
    Font.Color = clWindowText
    Font.Height = -11
    Font.Name = 'MS Sans Serif'
    Font.Style = []
    ParentFont = False
    PopupMenu = popupMenu
    ShowCaptions = True
    TabOrder = 2
    object bGoto: TToolButton
      Left = 0
      Top = 2
      Caption = 'Go:'
      ImageIndex = 2
      OnClick = GotoAddress
    end
    object eAddress: TComboBox
      Left = 33
      Top = 2
      Width = 149
      Height = 22
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'Courier New'
      Font.Style = []
      ItemHeight = 14
      ParentFont = False
      TabOrder = 0
      Text = '$02000000 (ExWRAM)'
      OnChange = ChangeCurrentBank
      OnKeyPress = addressKeyPress
      Items.Strings = (
        '$00000000 (BIOS)'
        '$02000000 (ExWRAM)'
        '$03000000 (WRAM)'
        '$04000000 (I/O)'
        '$05000000 (PAL)'
        '$06000000 (VRAM)'
        '$07000000 (OAM)'
        '$08000000 (ROM)'
        '$0E000000 (SRAM)')
    end
    object Spacer1: TToolButton
      Left = 182
      Top = 2
      Width = 8
      Style = tbsDivider
    end
    object rbByte: TRadioButton
      Left = 190
      Top = 2
      Width = 40
      Height = 21
      Caption = ' 8'
      Checked = True
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = []
      ParentFont = False
      TabOrder = 1
      TabStop = True
      OnClick = ChangeDisplayMode
    end
    object rbHalfword: TRadioButton
      Left = 230
      Top = 2
      Width = 40
      Height = 21
      Caption = '16'
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = []
      ParentFont = False
      TabOrder = 2
      OnClick = ChangeDisplayMode
    end
    object rbWord: TRadioButton
      Left = 270
      Top = 2
      Width = 40
      Height = 21
      Caption = '32'
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = []
      ParentFont = False
      TabOrder = 3
      OnClick = ChangeDisplayMode
    end
    object rbStream: TRadioButton
      Left = 310
      Top = 2
      Width = 40
      Height = 21
      Caption = '128'
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = []
      ParentFont = False
      TabOrder = 4
      OnClick = ChangeDisplayMode
    end
    object Spacer2: TToolButton
      Left = 350
      Top = 2
      Width = 8
      ImageIndex = 0
      Style = tbsDivider
    end
    object bFind: TToolButton
      Left = 358
      Top = 2
      Caption = 'Find'
      ImageIndex = 4
      OnClick = FindPattern
    end
    object bTools: TToolButton
      Left = 391
      Top = 2
      Caption = 'Tools'
      ImageIndex = 2
      OnClick = ShowMenu
    end
    object bHelp: TToolButton
      Left = 424
      Top = 2
      Caption = 'Help'
      ImageIndex = 3
      OnClick = ShowHelp
    end
  end
  object popupMenu: TPopupMenu
    Left = 8
    Top = 32
    object mBrowseTo: TMenuItem
      Caption = '&Browse to...'
      ShortCut = 16455
      OnClick = BrowseTo
    end
    object mReturntoPC: TMenuItem
      Caption = '&Return to PC'
      ShortCut = 27
      OnClick = ReturnToPC
    end
    object mViewStack: TMenuItem
      Caption = 'Return to SP'
      ShortCut = 16467
      OnClick = ReturnToSP
    end
    object N2: TMenuItem
      Caption = '-'
    end
    object mDisplayBIOS: TMenuItem
      Caption = 'Display BIOS'
      ShortCut = 16432
      OnClick = DisplayBIOS
    end
    object mDisplayExWRAM: TMenuItem
      Caption = 'Display ExWRAM'
      ShortCut = 16434
      OnClick = DisplayExWRAM
    end
    object mDisplayWRAM: TMenuItem
      Caption = 'Display WRAM'
      ShortCut = 16435
      OnClick = DisplayWRAM
    end
    object mDisplayPalette: TMenuItem
      Caption = 'Display Palette'
      ShortCut = 16437
      OnClick = DisplayPalette
    end
    object mDisplayVRAM: TMenuItem
      Caption = 'Display VRAM'
      ShortCut = 16438
      OnClick = DisplayVRAM
    end
    object mDisplayOAM: TMenuItem
      Caption = 'Display OAM'
      ShortCut = 16439
      OnClick = DisplayOAM
    end
    object mDisplayROM: TMenuItem
      Caption = 'Display ROM'
      ShortCut = 16440
      OnClick = DisplayROM
    end
    object mDisplaySRAM: TMenuItem
      Caption = 'Display SRAM'
      ShortCut = 16453
      OnClick = DisplaySRAM
    end
    object N3: TMenuItem
      Caption = '-'
    end
    object mFindPattern: TMenuItem
      Caption = 'Find Pattern...'
      ShortCut = 16454
      OnClick = FindPattern
    end
    object mFindAgain: TMenuItem
      Caption = 'Find Again'
      ShortCut = 114
      OnClick = FindPatternAgain
    end
    object N1: TMenuItem
      Caption = '-'
    end
    object mLoadIntoMemory: TMenuItem
      Caption = 'Load into Memory...'
      OnClick = LoadRawMemory
    end
    object mSaveMemory: TMenuItem
      Caption = 'Save Memory...'
      OnClick = SaveRawMemory
    end
    object N4: TMenuItem
      Caption = '-'
    end
    object mChangeFont: TMenuItem
      Caption = 'Change Font...'
      OnClick = ChangeFont
    end
  end
  object saveDialog: TSaveDialog
    Left = 72
    Top = 32
  end
  object openDialog: TOpenDialog
    Left = 40
    Top = 32
  end
  object fontDialog: TFontDialog
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -11
    Font.Name = 'MS Sans Serif'
    Font.Style = []
    MinFontSize = 0
    MaxFontSize = 0
    Options = [fdEffects, fdFixedPitchOnly]
    Left = 104
    Top = 32
  end
end
