object jdevMain: TjdevMain
  Left = 147
  Top = 278
  VertScrollBar.Smooth = True
  AutoScroll = False
  Caption = 'Mappy VM'
  ClientHeight = 182
  ClientWidth = 240
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  KeyPreview = True
  Menu = mainMenu
  OldCreateOrder = False
  Position = poDefaultPosOnly
  ShowHint = True
  OnClose = FormClose
  OnCreate = FormCreate
  OnDestroy = FormDestroy
  OnKeyDown = FormKeyDown
  OnKeyUp = FormKeyUp
  OnPaint = FormPaint
  OnResize = FormResize
  OnShow = FormShow
  PixelsPerInch = 96
  TextHeight = 13
  object status: TStatusBar
    Left = 0
    Top = 160
    Width = 240
    Height = 22
    Hint = 'This displays the current status of the VM'
    Panels = <
      item
        Text = ' Status: No Cart'
        Width = 100
      end
      item
        Text = ' FPS: N/A'
        Width = 50
      end>
    SimplePanel = False
  end
  object openDialog: TOpenDialog
    Options = [ofHideReadOnly, ofNoChangeDir, ofEnableSizing]
    Left = 8
    Top = 8
  end
  object saveDialog: TSaveDialog
    Left = 40
    Top = 8
  end
  object mainMenu: TMainMenu
    Left = 72
    Top = 8
    object mFile: TMenuItem
      Caption = '&File'
      GroupIndex = 1
      object mLoadFile: TMenuItem
        Caption = '&Load...'
        GroupIndex = 2
        OnClick = LoadFile
      end
      object mRemoveCart: TMenuItem
        Caption = 'Remove Cart'
        GroupIndex = 71
        OnClick = RemoveCart
      end
      object mReloadFile: TMenuItem
        Caption = 'Reload'
        GroupIndex = 71
        ShortCut = 113
        OnClick = ReloadFile
      end
      object mReopenFile: TMenuItem
        Caption = '&Recent Files'
        GroupIndex = 71
      end
      object N2: TMenuItem
        Caption = '-'
        GroupIndex = 71
      end
      object mWriteSavestate: TMenuItem
        Caption = 'Write Savestate...'
        GroupIndex = 71
        OnClick = SaveSavestate
      end
      object mExportDisassembly: TMenuItem
        Caption = 'Export Disassembly...'
        GroupIndex = 71
        OnClick = ExportDisassembly
      end
      object N10: TMenuItem
        Caption = '-'
        GroupIndex = 71
      end
      object mCopyScreenToClipboard: TMenuItem
        Caption = '&Copy screen to clipboard'
        GroupIndex = 71
        OnClick = CopyScreenToClipboard
      end
      object mSaveScreenshot: TMenuItem
        Caption = '&Save screenshot...'
        GroupIndex = 71
        OnClick = SaveScreenshot
      end
      object N1: TMenuItem
        Caption = '-'
        GroupIndex = 71
      end
      object mExitMappy: TMenuItem
        Caption = 'E&xit'
        GroupIndex = 71
        OnClick = ExitApplication
      end
    end
    object mOptions: TMenuItem
      Caption = 'Options'
      GroupIndex = 250
      object mToggleSoundEnabled: TMenuItem
        Caption = 'Toggle Sound'
        GroupIndex = 250
        OnClick = ToggleSoundEnabled
      end
      object N5: TMenuItem
        Caption = '-'
        GroupIndex = 250
      end
    end
    object mView: TMenuItem
      Caption = '&View'
      GroupIndex = 250
      object mClearLog: TMenuItem
        Caption = 'C&lear console'
        GroupIndex = 30
        OnClick = ClearConsole
      end
      object N11: TMenuItem
        Caption = '-'
        GroupIndex = 30
      end
    end
    object mRun: TMenuItem
      Caption = '&Run'
      GroupIndex = 250
      object mRunCPU: TMenuItem
        Caption = '&Run'
        GroupIndex = 100
        ShortCut = 120
        OnClick = RunCPU
      end
      object N12: TMenuItem
        Caption = '-'
        GroupIndex = 100
      end
      object mStepOver: TMenuItem
        Caption = 'Step Over'
        GroupIndex = 100
        ShortCut = 119
        OnClick = StepOver
      end
      object mTraceInto: TMenuItem
        Caption = 'Trace Into'
        GroupIndex = 100
        ShortCut = 118
        OnClick = TraceInto
      end
      object mTraceSourceLine: TMenuItem
        Caption = 'Trace to Next Source Line'
        GroupIndex = 100
        ShortCut = 8310
        OnClick = TraceToSourceLine
      end
      object mPauseCPU: TMenuItem
        Caption = 'Program Pause'
        GroupIndex = 100
        ShortCut = 27
        OnClick = PauseCPU
      end
      object mResetCPU: TMenuItem
        Caption = 'Program Reset'
        GroupIndex = 100
        ShortCut = 16497
        OnClick = ResetCPU
      end
      object N4: TMenuItem
        Caption = '-'
        GroupIndex = 100
      end
      object mEvaluateModify: TMenuItem
        Caption = 'Evaluate/Modify...'
        GroupIndex = 100
        ShortCut = 16502
        OnClick = EvaluateModify
      end
      object mAddWatch: TMenuItem
        Caption = 'Add Watch...'
        GroupIndex = 100
        ShortCut = 16500
        OnClick = AddAWatch
      end
      object mAddBreakpoint: TMenuItem
        Caption = 'Add Breakpoint...'
        GroupIndex = 100
        OnClick = AddABreakpoint
      end
      object N3: TMenuItem
        Caption = '-'
        GroupIndex = 100
      end
      object mAdvancedStuff: TMenuItem
        Caption = 'Advanced'
        GroupIndex = 100
        object mRunNCycles: TMenuItem
          Caption = 'Run N Cycles...'
          GroupIndex = 100
          OnClick = RunNCycles
        end
        object mRunNFrames: TMenuItem
          Caption = 'Run N Frames...'
          GroupIndex = 100
          OnClick = RunNFrames
        end
        object mStepFrame: TMenuItem
          Caption = 'Step Frame'
          GroupIndex = 100
          OnClick = StepOneFrame
        end
      end
    end
    object mTools: TMenuItem
      Caption = '&Tools'
      GroupIndex = 250
      object mLoadCore: TMenuItem
        Caption = 'Load Core...'
        OnClick = LoadNewCore
      end
      object N8: TMenuItem
        Caption = '-'
      end
      object mNothingness: TMenuItem
        Caption = 'Generate Translation'
        OnClick = mNothingnessClick
      end
      object DwarfDebugger1: TMenuItem
        Caption = 'Dwarf Debugger'
        OnClick = DwarfDebugger1Click
      end
    end
    object mHelp: TMenuItem
      Caption = '&Help'
      GroupIndex = 250
      object mShowHelp: TMenuItem
        Caption = 'Mappy VM Help'
        OnClick = ShowHelp
      end
      object mShowSDK: TMenuItem
        Caption = 'Mappy VM SDK'
        OnClick = ShowSDK
      end
      object N7: TMenuItem
        Caption = '-'
      end
      object mShowCompanyPage: TMenuItem
        Caption = 'Bottled Light Home Page'
        OnClick = ShowCompanyPage
      end
      object mShowMappyPage: TMenuItem
        Caption = 'Mappy VM Home Page'
        OnClick = ShowMappyPage
      end
      object mShowCommunityNews: TMenuItem
        Caption = 'Community News'
        OnClick = ShowCommunityNews
      end
      object N6: TMenuItem
        Caption = '-'
      end
      object mShowAboutBox: TMenuItem
        Caption = '&About...'
        OnClick = showAboutBox
      end
    end
  end
  object fileWatcher: TfisFileNotification
    OnDirectoryChanged = OnDirectoryChange
    Subtree = False
    Left = 104
    Top = 8
  end
end
