object jdevVRAMViewer: TjdevVRAMViewer
  Left = 274
  Top = 100
  BorderIcons = [biSystemMenu, biMinimize]
  BorderStyle = bsSingle
  Caption = 'VRAM Viewer'
  ClientHeight = 288
  ClientWidth = 562
  Color = clBtnFace
  DragKind = dkDock
  DragMode = dmAutomatic
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  Position = poDefaultPosOnly
  OnCreate = FormCreate
  OnDestroy = FormDestroy
  PixelsPerInch = 96
  TextHeight = 13
  object bevel: TBevel
    Left = 280
    Top = 8
    Width = 275
    Height = 275
  end
  object image: TPaintBox
    Left = 281
    Top = 9
    Width = 256
    Height = 256
    Cursor = crHandPoint
    OnMouseUp = imageMouseUp
    OnPaint = imagePaint
  end
  object lMagnifier: TLabel
    Left = 12
    Top = 8
    Width = 66
    Height = 13
    Caption = 'Magnification:'
  end
  object magnifier: TTrackBar
    Left = 8
    Top = 24
    Width = 81
    Height = 21
    Max = 5
    Min = 1
    Orientation = trHorizontal
    PageSize = 1
    Frequency = 1
    Position = 1
    SelEnd = 0
    SelStart = 0
    TabOrder = 5
    ThumbLength = 10
    TickMarks = tmBottomRight
    TickStyle = tsAuto
    OnChange = UpdateObserverX
  end
  object pages: TPageControl
    Left = 8
    Top = 48
    Width = 265
    Height = 233
    ActivePage = pTileMap
    TabOrder = 0
    OnChange = UpdateObserverX
    object pTileMap: TTabSheet
      Caption = 'Tile Maps'
      object lMapLocation: TLabel
        Left = 8
        Top = 64
        Width = 61
        Height = 13
        Caption = 'Map location'
      end
      object lTilesetLocation: TLabel
        Left = 8
        Top = 112
        Width = 71
        Height = 13
        Caption = 'Tileset location'
      end
      object lScreenSize: TLabel
        Left = 8
        Top = 160
        Width = 57
        Height = 13
        Caption = 'Screen Size'
      end
      object lGeneral: TLabel
        Left = 8
        Top = 8
        Width = 37
        Height = 13
        Caption = 'General'
      end
      object lColorMode: TLabel
        Left = 152
        Top = 8
        Width = 54
        Height = 13
        Caption = 'Color Mode'
      end
      object lxferSettings: TLabel
        Left = 152
        Top = 64
        Width = 78
        Height = 13
        Caption = 'Transfer settings'
      end
      object lPosition: TLabel
        Left = 152
        Top = 168
        Width = 96
        Height = 13
        Caption = 'Top Corner Position:'
      end
      object lPosX: TLabel
        Left = 152
        Top = 184
        Width = 49
        Height = 13
        Caption = 'X: 000000'
      end
      object lTileMapCR: TLabel
        Left = 152
        Top = 144
        Width = 93
        Height = 13
        Caption = 'Current CR: $ABCD'
      end
      object cbScreenSize: TComboBox
        Left = 8
        Top = 176
        Width = 113
        Height = 21
        ItemHeight = 13
        TabOrder = 0
        Text = '%00 (1024x1024)'
        OnChange = UpdateObserverX
      end
      object cbTileMap: TComboBox
        Left = 8
        Top = 80
        Width = 113
        Height = 21
        ItemHeight = 13
        TabOrder = 1
        Text = '$00 ($06002000)'
        OnChange = UpdateObserverX
      end
      object cbTileSet: TComboBox
        Left = 8
        Top = 128
        Width = 113
        Height = 21
        ItemHeight = 13
        TabOrder = 2
        Text = '%00 ($06002000)'
        OnChange = UpdateObserverX
      end
      object cbBackgrounds: TComboBox
        Left = 152
        Top = 80
        Width = 97
        Height = 21
        DropDownCount = 4
        ItemHeight = 13
        TabOrder = 3
        Text = 'Background 1'
      end
      object loadBGButton: TButton
        Left = 152
        Top = 108
        Width = 45
        Height = 21
        Caption = 'Load'
        TabOrder = 4
        OnClick = loadBGSettings
      end
      object r16Colors: TRadioButton
        Left = 152
        Top = 24
        Width = 89
        Height = 17
        Caption = '16 color tiles'
        TabOrder = 5
        OnClick = UpdateObserverX
      end
      object r256Colors: TRadioButton
        Left = 152
        Top = 44
        Width = 89
        Height = 17
        Caption = '256 color tiles'
        TabOrder = 6
        OnClick = UpdateObserverX
      end
      object rWraparound: TCheckBox
        Left = 8
        Top = 40
        Width = 121
        Height = 17
        Caption = 'Wraparound display'
        TabOrder = 7
        OnClick = UpdateObserverX
      end
      object rRotScale: TCheckBox
        Left = 8
        Top = 24
        Width = 121
        Height = 17
        Caption = 'Rot/Scale mode'
        TabOrder = 8
        OnClick = toggleRotScaleMode
      end
      object saveBGButton: TButton
        Left = 204
        Top = 108
        Width = 45
        Height = 21
        Caption = 'Save'
        TabOrder = 9
        OnClick = SaveBGSettings
      end
    end
    object pTiles: TTabSheet
      Caption = 'Tiles'
      ImageIndex = 1
      object lTilesetLocationTiles: TLabel
        Left = 8
        Top = 72
        Width = 71
        Height = 13
        Caption = 'Tileset location'
      end
      object lColorModeTiles: TLabel
        Left = 8
        Top = 8
        Width = 54
        Height = 13
        Caption = 'Color Mode'
      end
      object lPaletteBase: TLabel
        Left = 120
        Top = 8
        Width = 63
        Height = 13
        Caption = 'Palette Base:'
      end
      object lPaletteBaseDisp: TLabel
        Left = 192
        Top = 8
        Width = 33
        Height = 13
        Caption = '0 ($00)'
      end
      object cbTilesetTiles: TComboBox
        Left = 16
        Top = 88
        Width = 113
        Height = 21
        ItemHeight = 0
        TabOrder = 0
        Text = '%00 ($06002000)'
        OnChange = UpdateObserverX
      end
      object r256ColorTiles: TRadioButton
        Left = 16
        Top = 44
        Width = 89
        Height = 17
        Caption = '256 color tiles'
        TabOrder = 1
        OnClick = UpdateObserverX
      end
      object r16ColorTiles: TRadioButton
        Left = 16
        Top = 24
        Width = 89
        Height = 17
        Caption = '16 color tiles'
        TabOrder = 2
        OnClick = UpdateObserverX
      end
      object paletteBase: TScrollBar
        Left = 128
        Top = 32
        Width = 121
        Height = 16
        LargeChange = 2
        Max = 15
        PageSize = 0
        TabOrder = 3
        OnChange = paletteBaseChange
      end
    end
    object pSprites: TTabSheet
      Caption = 'Sprites'
      ImageIndex = 2
      object lColorModeSprites: TLabel
        Left = 8
        Top = 8
        Width = 54
        Height = 13
        Caption = 'Color Mode'
      end
      object lPaletteBase2: TLabel
        Left = 120
        Top = 8
        Width = 63
        Height = 13
        Caption = 'Palette Base:'
      end
      object lPaletteBaseDisp2: TLabel
        Left = 192
        Top = 8
        Width = 33
        Height = 13
        Caption = '0 ($00)'
      end
      object r16ColorSprites: TRadioButton
        Left = 16
        Top = 24
        Width = 89
        Height = 17
        Caption = '16 color tiles'
        TabOrder = 0
        OnClick = UpdateObserverX
      end
      object r256ColorSprites: TRadioButton
        Left = 16
        Top = 44
        Width = 89
        Height = 17
        Caption = '256 color tiles'
        TabOrder = 1
        OnClick = UpdateObserverX
      end
      object paletteBase2: TScrollBar
        Left = 128
        Top = 32
        Width = 121
        Height = 16
        LargeChange = 2
        Max = 15
        PageSize = 0
        TabOrder = 2
        OnChange = paletteBase2Change
      end
    end
    object pFramebuffer: TTabSheet
      Caption = 'Frame Buffer'
      ImageIndex = 3
      object Label1: TLabel
        Left = 8
        Top = 8
        Width = 107
        Height = 13
        Caption = 'Frame Buffer to display'
      end
      object rMode3: TRadioButton
        Left = 16
        Top = 24
        Width = 169
        Height = 17
        Caption = 'Mode 3 (240x160 15-bit RGB)'
        TabOrder = 0
        OnClick = UpdateObserverX
      end
      object rMode4fb0: TRadioButton
        Left = 16
        Top = 48
        Width = 209
        Height = 17
        Caption = 'Mode 4 (240x160 8-bit indexed, frame 0)'
        TabOrder = 1
        OnClick = UpdateObserverX
      end
      object rMode5fb0: TRadioButton
        Left = 16
        Top = 96
        Width = 209
        Height = 17
        Caption = 'Mode 5 (160x128 15-bit RGB, frame 0)'
        TabOrder = 2
        OnClick = UpdateObserverX
      end
      object rMode5fb1: TRadioButton
        Left = 16
        Top = 120
        Width = 209
        Height = 17
        Caption = 'Mode 5 (160x128 15-bit RGB, frame 1)'
        TabOrder = 3
        OnClick = UpdateObserverX
      end
      object rMode4fb1: TRadioButton
        Left = 16
        Top = 72
        Width = 209
        Height = 17
        Caption = 'Mode 4 (240x160 8-bit indexed, frame 1)'
        TabOrder = 4
        OnClick = UpdateObserverX
      end
    end
    object pLayerSheet: TTabSheet
      Caption = 'Layers'
      ImageIndex = 4
      object Label2: TLabel
        Left = 8
        Top = 8
        Width = 73
        Height = 13
        Caption = 'Enabled Layers'
      end
      object Label3: TLabel
        Left = 144
        Top = 8
        Width = 76
        Height = 13
        Caption = 'Layer Inspector:'
      end
      object lLayerPos: TLabel
        Left = 152
        Top = 24
        Width = 91
        Height = 13
        Caption = 'Position: (239, 159)'
        Visible = False
      end
      object lLayerColor: TLabel
        Left = 152
        Top = 56
        Width = 84
        Height = 13
        Caption = 'Color: (31, 31, 31)'
        Visible = False
      end
      object lLayerLayer: TLabel
        Left = 152
        Top = 40
        Width = 96
        Height = 13
        Caption = 'Top layer: Backdrop'
        Visible = False
      end
      object activeLayers: TCheckListBox
        Left = 16
        Top = 24
        Width = 105
        Height = 109
        OnClickCheck = UpdateObserverX
        BorderStyle = bsNone
        Color = clBtnFace
        ItemHeight = 13
        Items.Strings = (
          'Background 0'
          'Background 1'
          'Background 2'
          'Background 3'
          'Sprites'
          'Window 0'
          'Window 1'
          'Sprite Windows')
        TabOrder = 0
      end
      object bResetLayers: TButton
        Left = 16
        Top = 136
        Width = 49
        Height = 21
        Caption = 'Load'
        TabOrder = 1
        OnClick = reloadLayersFromDispCR
      end
      object bSaveLayers: TButton
        Left = 72
        Top = 136
        Width = 49
        Height = 21
        Caption = 'Save'
        TabOrder = 2
        OnClick = SaveLayersToDispCR
      end
    end
  end
  object horizScroll: TScrollBar
    Left = 281
    Top = 266
    Width = 256
    Height = 16
    LargeChange = 16
    Max = 1023
    PageSize = 0
    TabOrder = 1
    OnChange = UpdateScrollDisp
  end
  object vertScroll: TScrollBar
    Left = 537
    Top = 9
    Width = 16
    Height = 256
    Kind = sbVertical
    LargeChange = 32
    Max = 1023
    PageSize = 0
    TabOrder = 2
    OnChange = UpdateScrollDisp
  end
  object bSaveToFile: TButton
    Left = 168
    Top = 8
    Width = 97
    Height = 17
    Caption = 'Save to file...'
    TabOrder = 3
    OnClick = SaveToFile
  end
  object bCopyToClipboard: TButton
    Left = 168
    Top = 26
    Width = 97
    Height = 17
    Caption = 'Copy to clipboard'
    TabOrder = 4
    OnClick = CopyToClipboard
  end
  object saveDialog: TSaveDialog
    Left = 136
    Top = 8
  end
end
